common:
  api_name: monitoring
  api_version: v3
  organization_name: google-cloud
  service_yaml: monitoring.yaml
  gapic_yaml: v3/monitoring_gapic.yaml
  src_proto_paths:
  - v3
  proto_deps:
  - name: google-common-protos
artifacts:
- name: java_gapic
  type: GAPIC_ONLY
  language: JAVA
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/java/gapic-google-cloud-monitoring-v3
    - name: grpc
      dest: generated/java/grpc-google-cloud-monitoring-v3
    - name: proto
      dest: generated/java/proto-google-cloud-monitoring-v3
  - name: java
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-java.git
    directory_mappings:
    - dest: google-cloud-monitoring
- name: python_gapic
  type: GAPIC_ONLY
  language: PYTHON
  publish_targets:
  - name: python
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-python.git
    directory_mappings:
    - src: google/cloud/monitoring_v3
      dest: monitoring/google/cloud/monitoring_v3
    - src: tests/unit/gapic/v3
      dest: monitoring/tests/gapic
    - name: grpc
      src: google/cloud/proto
      dest: monitoring/google/cloud/proto
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/python/gapic-google-cloud-monitoring-v3
    - name: grpc
      dest: generated/python/proto-google-cloud-monitoring-v3
- name: php_gapic
  type: GAPIC_ONLY
  language: PHP
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/php/google-cloud-monitoring-v3
- name: ruby_gapic
  type: GAPIC_ONLY
  language: RUBY
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/ruby/google-cloud-monitoring
  - name: ruby
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-ruby.git
    directory_mappings:
    - src: lib/google/cloud/monitoring/v3
      dest: google-cloud-monitoring/lib/google/cloud/monitoring/v3
- name: go_gapic
  type: GAPIC_ONLY
  language: GO
  publish_targets:
  - name: go
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-go.git
    directory_mappings:
    - dest: monitoring/apiv3
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/go/vendor/cloud.google.com/go/google-monitoring-v3/vendor
- name: csharp_gapic
  type: GAPIC_ONLY
  language: CSHARP
- name: nodejs_gapic
  type: GAPIC_ONLY
  language: NODEJS
  release_level: BETA
  package_version:
    grpc_dep_lower_bound: 0.3.0
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/nodejs/monitoring
  - name: nodejs
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-node.git
    directory_mappings:
    - src: src/v3
      dest: packages/monitoring/src/v3
- name: gapic_config
  type: GAPIC_CONFIG
